#!/bin/lua
require("fltk")

-- fdtool.lua by J.P. Nimmo
-- some code was shamelessly stolen from Robert Shingledecker's mydsl-wget
-- converted to Lua 5.1.1 MurgaLua by Robert Shingledecker, 10/05/2006

window_width = 500
window_height = 350
view_point = window_height-35
data = [[
Premierement, choisir la taille disquette (1440k/1722k).

Le bouton "formater" va creer une disquette vierge formatee
en FAT de la taille choisie.

Pour creer une image de disquette, tapez le chemin ou vous
voulez la sauvegarder et appuyez "faire image".

Pour ecrire une image sur une disquette, tapez le chemin de
l'image source et appuyez "Ecrire image".
]]

function mainwindow()
w = fltk:Fl_Window(window_width,window_height,"Outil disquette")
mainBox = fltk.Fl_Box(10,10,window_width-20,window_height-20)
mainBox:box(fltk.FL_EMBOSSED_BOX)

innerBox = fltk:Fl_Box(50,50,window_width-100,window_height-160)
innerBox:box(fltk.FL_ENGRAVED_BOX)

innerBox:label(data)

sel1440k = fltk:Fl_Round_Button(130,20,100,25,"1440k")
sel1440k:value(1)
sel1440k:type(fltk.FL_RADIO_BUTTON)
sel1440k:selection_color(fltk.FL_RED)
	
sel1722k = fltk:Fl_Round_Button(260,20,100,25,"1722k")
sel1722k:type(fltk.FL_RADIO_BUTTON)
sel1722k:selection_color(fltk.FL_RED)

imagepath = fltk:Fl_Input(100,250,320,25,"Dossier de l'image disque: ")

formatButton = fltk:Fl_Button(30,290,100,30,"formater")
formatButton:callback(
function(formatButton)
	if sel1440k:value() == 1 then 
		os.execute('aterm +tr -bg white -fg black -geometry 80x4 -T "Changement de taille et formatage" -e floppytool.sh format 1440')
	end
	if sel1722k:value() == 1 then
		os.execute('aterm +tr -bg white -fg black -geometry 80x4 -T "Changement de taille et formatage" -e floppytool.sh format 1722')
	end
end)
	
mkimageButton = fltk:Fl_Button(140,290,100,30,"faire image")
mkimageButton:callback(
function(mkimageButton)
	if sel1440k:value() == 1 then
		os.execute('aterm +tr -bg white -fg black -geometry 80x4 -T "Creation image disque en cours" -e floppytool.sh makeimage 1440 ' .. imagepath:value() .. '')
	end
	if sel1722k:value() == 1 then
		execute('aterm +tr -bg white -fg black -geometry 80x4 -T "Creation image disque en cours" -e floppytool.sh makeimage 1722 ' .. imagepath:value() .. '')
	end
end)
	
applyimageButton = fltk:Fl_Button(250,290,100,30,"Ecrire image")
applyimageButton:callback(
function(applyimageButton)
	if sel1440k:value() == 1 then
		os.execute('aterm +tr -bg white -fg black -geometry 80x4 -T "Ecriture image sur la disquette" -e floppytool.sh applyimage 1440 ' .. imagepath:value() .. '')
	end
	if sel1722k:value() == 1 then
		os.execute('aterm +tr -bg white -fg black -geometry 80x4 -T "Ecriture image sur la disquette" -e floppytool.sh applyimage 1722 ' .. imagepath:value() .. '')
	end
end)
	
cancelButton = fltk:Fl_Button(360,290,100,30,"Annuler")
cancelButton:callback(
function(cancelButton)
	os.exit(0)
end)

w:show()
Fl:run()
end

mainwindow()
