#!/bin/bash
#(c) Damnsmall Linux 2003
#Author Robert Shingledecker
whiptail --title "Veuillez entrer un peripherique pour la restoration des fichiers" --inputbox "Entrer un peripherique, par exemple hda2 ou floppy" 0 0 2>/opt/.backup_device
DEVICE=$(cat /opt/.backup_device)
if [ $DEVICE ]
then
  DEVICE="${DEVICE##/dev/}" 
  if [ "$DEVICE" = "floppy" ]; then
     DEVICE="auto/floppy"
  fi
  BACKUP_DEVICE="/mnt/$DEVICE"
  echo "$BACKUP_DEVICE" > /opt/.backup_device
fi
exit 0
