#!/bin/lua
-- lua Make Swapfle gui for Damnsmall Linux
-- (C) 2004-2006 Robert Shingledecker

require("fltk")
function data_check(command)
   if mount:value() == "" then return nil end
   if size:value() == "" then return nil end
   return ""
end

function process_data()
   w = fltk:Fl_Window(310,100, "Faire un fichier de Swap DSL")
   mount = fltk:Fl_Input(86,10,210,25,"Point de montage:")
   size = fltk:Fl_Input(86,40,210,25,"taille:")
 
   cancelBtn = fltk:Fl_Button(110,70,70,25,"&Annuler")
   cancelBtn:callback(
   function(cancelBtn)
     print("Annule") 
     os.exit(0)
   end)

   mkSwapfileBtn = fltk:Fl_Button(184,70,70,25,"&Appliquer")
   mkSwapfileBtn:callback(
   function(mkSwapfileBtn)
      if data_check() then
         os.execute('dd if=/dev/zero of=' .. mount:value() ..' bs=1024 count=' .. size:value())
         os.execute('mkswap ' .. mount:value())
         os.execute('swapon ' .. mount:value())
         os.exit(0)
      else
         print("Erreur")
         write(strchar(7)) flush()
      end
   end)

   w:show()
   Fl:run()
end

-- Main
process_data()
