#!/bin/lua
-- lua Add users gui for Damnsmall Linux
-- (C) Robert Shingledecker 2004-2006

require("fltk")
function data_check(command)
   if name:value() == "" then return nil end
   if passwd:value() == "" then return nil end
   return ""
end

function process_data()
   w = fltk:Fl_Window(320,100, "Ajouter/Effacer des utilisateurs DSL")
   name = fltk:Fl_Input(76,10,210,25,"Nom:")
   passwd = fltk:Fl_Secret_Input(76,40,210,25,"Mot de passe:")
 
   cancelBtn = fltk:Fl_Button(56,70,70,25,"Annuler")
   cancelBtn:callback(
   function(cancelBtn)
     print("Annule") 
     os.exit(0)
   end)

   addBtn = fltk:Fl_Button(130,70,70,25,"Ajouter")
   addBtn:callback(
   function(addBtn)
      if data_check() then
         password_tmp = os.tmpname()
         password = io.open(password_tmp,"w")
         password:write(name:value() .. ":" .. passwd:value() .. "\n")
         password:close()
         os.execute('sudo /etc/init.d/adduser.sh ' .. name:value() .. ' '  .. password_tmp)
         os.remove(password_tmp)
         os.execute('sudo /etc/init.d/adduser_final.sh ' .. name:value())
         os.exit(0)
      else
         io.write(string.char(7)) io.flush()
      end
   end)

   delBtn = fltk:Fl_Button(205,70,70,25,"Effacer")
   delBtn:callback(
   function(delBtn)
      if name:value() == "" then
         io.write(string.char(7)) io.flush()
      else
         os.execute('sudo /usr/sbin/deluser ' .. name:value())
         os.exit(0)
      end
   end)

   w:show()
   Fl:run()
end

-- Main

process_data()
